<?php
declare(strict_types=1);

namespace WP_AUX\Enum;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum PageBackgroundColorEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case None = 'none';
  case LightGray = 'light-gray';
  case Maroon = 'maroon';
  case Charcoal = 'charcoal';

  public const SETTING_LABEL = 'Page background options';

  public function label(): string
  {
    return match($this) {
      self::None => 'None',
      self::LightGray => 'Light Gray',
      self::Maroon => 'Maroon',
      self::Charcoal => 'Charcoal',
    };
  }
}
